Skip to main content
GET
/
templates
List Templates
curl --request GET \
  --url https://{base_url}/templates \
  --header 'X-API-Key: <api-key>'
{
  "templates": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "custom_id": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

page
integer
default:1

Page number (starts at 1, default 1)

Required range: x >= 1
limit
integer
default:10

Items per page (max 20, default 10)

Required range: x <= 20

Search templates by name, description, or custom_id

metadata
string

JSON-stringified object for metadata filtering (e.g., {"key":"value"})

Response

List of templates with pagination

templates
object[]
pagination
object